Subject: Group Editing

From: Bob Jackson <[email-masked]>
Date: Tue, 14 Jun 94 14:58:16 EDT

In an effort to improve the maintainability of the
AstroWeb Database, I have created some tools to allow
each one of us to edit the database.  

This should free Don of the onus of doing all the editing himself.

This should allow us all to use the same database.

*********************************************************

Operations Concept:

	Everyone edits the central database as needed
	Everyone grabs the database contents periodically
	Everyone creates their local reports on the database

I could write reports to satisfy each site, but the above
approach allows you complete control of the presentation
at your site.

*********************************************************

The entrance point is:

	http://lor.stsci.edu/astroweb/astroweb-cvs.html

Rather than storing the data in HTML, I chose to store
it in raw TCL.

	http://lor.stsci.edu/astroweb/master.tcl

(It eliminates parsing the HTML everytime.)

The interface supports:

* ADD New Resource 

	HTML form to enter a new resource.

	Note this form enforces a finite set of CATEGORIES.

	If more categories are needed, then let me know.

	There are resources in the database which have Categories
	not supported by the interface.
	??? What should be done with these ???

* DELETE Existing Resource 

	A page of HTML to choose which resource to delete.

* EDIT Entire Database 

	HTML form to transfer entire database.

	Can edit in the form
	OR 
	SAVE AS and use your editor

	The load action requires a CATEGORY for each URL

* LOG of Database Changes 

	To see who made changes when.

	User comments describing changes are only provided
	with the EDIT Entire Database action.

*HTML Version of Database 

	Generate HTML like yp_master.html.
	Also accessable via:

http://lor.stsci.edu/cgi-bin/astrowebedit/html/<USERNAME>/<PASSWORD>

If you want to generate your local version of the database, you can:

Grab the HTML version and reformat by your favorite tool.
OR
Grab the master.tcl file and use Tcl to do the reformatting.

Sample Tcl code is available at

	http://lor.stsci.edu/astroweb/tcl-code

Look at the 'proc's

	showhtml 
	sorturls 
	getdomain 
	transdomain